<?php 
declare(strict_types=0);
foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}
include_once('lib_main.php');

$empr0=data_maes('empr',$cfg_empr);
// echo '<br>=========> '.$empr0['empr_descri'];
     
if(empty($plimit)){$plimit=10;}
if(empty($fecha1)){$fecha1=date('Y-m-d',strtotime('-1 week'));}
if(empty($fecha2)){$fecha2=date('Y-m-d');}

if($uplce==1){$fecha1=date('Y-m-01',strtotime('-12 month'));}

// fecha31 y 32 para firmar
$fecha31=date('Y-m-d',strtotime('-1 week'));
$fecha32=date('Y-m-d',strtotime('-1 day'));

if(date('H')>='18')
if(date('d')==date('t'))
{$fecha1=date('Y-m-01');$fecha31=date('Y-m-01');}
// if(date('d')=='1'){$fecha31=date('Y-m-d',strtotime('-1 month'));}

// tiempo para firmado  automatico
$minutf=15;
$minutf=30;

// solo cias especificas 24h
// if(date('H')>='15'){$fecha32=date('Y-m-d');$minutf=60*9;} //06
// if(date('H')>='16'){$fecha32=date('Y-m-d');$minutf=60*9;} //08
// if(date('H')>='17'){$fecha32=date('Y-m-d');$minutf=60*7;} //10

// antes de las 06.00h
// if(date('H')<'06'){$minutf=60*6;} //00
// if(date('H')<'05'){$minutf=60*5;} //00
// if(date('H')<'04'){$minutf=60*4;} //00
// if(date('H')<'03'){$minutf=60*3;} //00
// if(date('H')<'02'){$minutf=60*2;} //00
// if(date('H')<'01'){$minutf=60*1;} //00

// despues de las 18.00h
if(date('H')>='18'){$fecha32=date('Y-m-d');$minutf=60*6;} //12
if(date('H')>='19'){$fecha32=date('Y-m-d');$minutf=60*5;} //14
if(date('H')>='20'){$fecha32=date('Y-m-d');$minutf=60*4;} //16

if(date('H')>='21'){$fecha32=date('Y-m-d');$minutf=60*3;} //18
if(date('H')>='22'){$fecha32=date('Y-m-d');$minutf=60*2;} //20
if(date('H')>='23'){$fecha32=date('Y-m-d');$minutf=60*1;} //22


$sql_updt='update vtas1 set udate=idate where udate is null';
$res_updt=msql_query($sql_updt,$link_data);

$selcol ='idnum1,docu,ptoe,numero,fecha,enti,status,idate,claveacc,firmafec,autornum,recepfec,emailto,autorfec,emailfec,recepmsj,autormsj ';
$selcol1='idnum1,docu,ptoe,numero,fecha,enti,status,idate,claveacc,"" as firmafec,"" as autornum,"" as recepfec,emailto,"" as autorfec,emailfec,"" as recepmsj,"" as autormsj ';

// echo '<div>';

$domd = new DOMDocument();
     $domd->encoding = 'utf-8';
     $domd->xmlVersion = '1.0';
     $domd->formatOutput = true;
$elem=$domd;

$img=$elem->appendChild($domd->createElement("img",""));
     $img->setAttribute("src","//vcrxol.com/_logo/logo".$cfg_empr."1.png");
     $img->setAttribute("style","width:auto; max-height:45px;color:#00ced1;");

$div=$elem->appendChild($domd->createElement("div",str_repeat("=",50)));
$div=$elem->appendChild($domd->createElement("div","*** C.ELECTRONICOS ***"));
$div=$elem->appendChild($domd->createElement("div",str_repeat("=",50)));
$div=$elem->appendChild($domd->createElement("div",$empr0['empr_codigo']." - ".$empr0['empr_descri']));
$div=$elem->appendChild($domd->createElement("div",str_repeat("=",50)));
$div=$elem->appendChild($domd->createElement("div","Start : ".date('Y-m-d H:i:s .v')));
$div=$elem->appendChild($domd->createElement("div",str_repeat("=",50)));
$div=$elem->appendChild($domd->createElement("div","Fecha 1 : ".$fecha1));
$div=$elem->appendChild($domd->createElement("div","Fecha 2 : ".$fecha2));
$div=$elem->appendChild($domd->createElement("div",str_repeat("=",50)));

echo $domd->saveHTML();

if($clave==1)
{
	$sql_cele=' ';
          
     // VENTAS
     {
          $sql_cele.='select '.$selcol.' from vtas1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and (ifnull(claveacc,"")="" ';
          $sql_cele.=' or length(trim(claveacc))<49';
          $sql_cele.=' or concat(ptoe,numero)!=substring(claveacc,25,15)) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }

     // LIQ. COMPRAS
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from comp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and (ifnull(claveacc,"")="" ';
          $sql_cele.=' or length(trim(claveacc))<49';
          $sql_cele.=' or concat(ptoe,numero)!=substring(claveacc,25,15)) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';

          $sql_cele.='and(docu="FP03" or docu="FP11") ';
          $sql_cele.='and enti not like "9999%" ';
     }
          
     if($empr0['empr_rete']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from retp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and (ifnull(claveacc,"")="" ';
          $sql_cele.=' or length(trim(claveacc))<49';
          $sql_cele.=' or concat(ptoe,numero)!=substring(claveacc,25,15)) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }
 
     if($empr0['empr_guia']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from guia1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and (ifnull(claveacc,"")="" ';
          $sql_cele.=' or length(trim(claveacc))<49';
          $sql_cele.=' or concat(ptoe,numero)!=substring(claveacc,25,15)) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
//           $sql_cele.='and fecha<="'.$fecha2.'" ';
     }
          
     if($empr0['empr_clie']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol1.' from clie1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and (ifnull(claveacc,"")="" ';
          $sql_cele.=' or length(trim(claveacc))<49';
          $sql_cele.=' or concat(ptoe,numero)!=substring(claveacc,25,15)) ';  
          $sql_cele.='and fecha>=curdate() -interval 2 day  ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }
		
     $pcount=0;
     $res_cele=msql_query($sql_cele,$link_data);
     echo '<br>';
     if(msql_num_rows($res_cele)>0){echo '<br> REGISTROS OK ';}
     echo '<br> REG. CLAVES : '.msql_num_rows($res_cele);
     while($aso_cele=msql_fetch_assoc($res_cele))
     {
          $cele_ok=gen_clacc($aso_cele['docu'],$aso_cele['idnum1']);
          echo '<br>: CLAVE ===>'.$aso_cele['docu'].' - '.$aso_cele['numero'].' : '.$aso_cele['fecha'].' ==> '.$cele_ok;
     }
}

if($cexml==1)
{
	$sql_cele=' ';

     // VENTAS
     {
          $sql_cele.='select '.$selcol.' from vtas1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }

     // LIQ. COMPRAS
     {
        $fecha1liq=$fecha1;
        $fecha1liq=date('Y-m-01',strtotime('-1 month'));
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from comp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1liq.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';

          $sql_cele.='and(docu="FP03" or docu="FP11") ';
          $sql_cele.='and enti not like "9999%" ';
     }
     
     if($empr0['empr_rete']==1)
     {
        $fecha1ret=$fecha1;
        $fecha1ret=date('Y-m-01',strtotime($fecha1ret));
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from retp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1ret.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }

     if($empr0['empr_guia']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from guia1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }
          
     if($empr0['empr_clie']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol1.' from clie1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and fecha>=curdate() -interval 2 day  ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }
     
     $pcount=0;
     $res_cele=msql_query($sql_cele,$link_data);
     if(msql_num_rows($res_cele)>0){echo '<br> REGISTROS OK ';}
     echo '<br> REG. CEXML : '.msql_num_rows($res_cele);
     while($aso_cele=msql_fetch_assoc($res_cele))
     {
          $cele_ok=gen_cexml($aso_cele['claveacc']);
          echo '<br>: CEXML ===>'.$aso_cele['docu'].' - '.$aso_cele['numero'].' : '.$aso_cele['fecha'].' ==>'.$cele_ok;
     }

     
     
}

if($firma==1)
{
	$sql_cele=' ';
     
     // VENTAS
	{
          $sql_cele.='select '.$selcol.' from vtas1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha31.'" ';
          $sql_cele.='and fecha<="'.$fecha32.'" ';
          $sql_cele.='and udate<=date_sub(now(),interval '.$minutf.' minute) ';
//           $sql_cele.='and idate<=date_sub(now(),interval '.$minutf.' minute) ';
     }

     // LIQ. COMPRAS     
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from comp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha31.'" ';
          $sql_cele.='and fecha<="'.$fecha32.'" ';
//           $sql_cele.='and idate<=date_sub(now(),interval '.$minutf.' minute) ';
          $sql_cele.='and udate<=date_sub(now(),interval '.$minutf.' minute) ';
          $sql_cele.='and(docu="FP03" or docu="FP11") ';
          $sql_cele.='and enti not like "9999%" ';
     }
          
     if($empr0['empr_rete']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from retp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha31.'" ';
          $sql_cele.='and fecha<="'.$fecha32.'" ';
          $sql_cele.='and idate<=date_sub(now(),interval '.$minutf.' minute) ';
     }
     
     if($empr0['empr_guia']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from guia1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
//           $sql_cele.='and ifnull(placa,"")!="" ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha31.'" ';
//           $sql_cele.='and fecha<="'.$fecha32.'" ';
//           $sql_cele.='and idate<=date_sub(now(),interval '.$minutf.' minute) ';
          $sql_cele.='and udate<=date_sub(now(),interval '.$minutf.' minute) ';
     }
      
     if(1==2)
     if($empr0['empr_clie']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol1.' from clie1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and fecha>=curdate() -interval 2 day  ';
          $sql_cele.='and fecha>="'.$fecha31.'" ';
          $sql_cele.='and fecha<="'.$fecha32.'" ';
          $sql_cele.='and udate<=date_sub(now(),interval '.$minutf.' minute) ';
     }

     $sql_cele.='order by firmafec, fecha, docu, numero, idnum1 ';

     
     $pcount=0;
     $limit=10;
     $res_cele=msql_query($sql_cele,$link_data);
     if(msql_num_rows($res_cele)>0){echo '<br> REGISTROS OK ';}
     echo '<br> REG. FIRMA : '.msql_num_rows($res_cele);
     while($aso_cele=msql_fetch_assoc($res_cele))
     {
          $sign_ok=fir_cexml($aso_cele['claveacc']);
          echo '<br>: FIRMA ===>'.$aso_cele['docu'].' - '.$aso_cele['numero'].' : '.$aso_cele['fecha'].' ==> '.$sign_ok;
          $pcount++;
//           if($pcount>=$plimit){break;}
     }

     
     
}

// echo '==='.$sql_cele;

if($recep==1)
{
	$sql_cele=' ';
     
     // VENTAS
	{
          $sql_cele.='select '.$selcol.' from vtas1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(firmafec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
//           $sql_cele.='and idate<=date_sub(now(),interval '.$minutr.' minute) ';
     }

     // LIQ. COMPRAS
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from comp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(firmafec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
//           $sql_cele.='and idate<=date_sub(now(),interval '.$minutr.' minute) ';
          $sql_cele.='and(docu="FP03" or docu="FP11") ';
          $sql_cele.='and enti not like "9999%" ';
     }
     
     if($empr0['empr_rete']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from retp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(firmafec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
//           $sql_cele.='and idate<=date_sub(now(),interval '.$minutr.' minute) ';
     }
          
     if($empr0['empr_guia']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from guia1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(claveacc,"")!="" ';
          $sql_cele.='and length(trim(claveacc))=49 ';
          $sql_cele.='and concat(ptoe,numero)=substring(claveacc,25,15) ';  
          $sql_cele.='and ifnull(firmafec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
//           $sql_cele.='and idate<=date_sub(now(),interval '.$minutr.' minute) ';
     }
 
//      echo '<br>==== '.$sql_cele;
     
     $pcount=0;
     $res_cele=msql_query($sql_cele,$link_data);
     if(msql_num_rows($res_cele)>0){echo '<br> REGISTROS OK ';}
     echo '<br> REG. RECEP : '.msql_num_rows($res_cele);
     while($aso_cele=msql_fetch_assoc($res_cele))
     {
          $recep_ok=ws_recep($aso_cele['claveacc']);
          echo '<br>: RECEP ===>'.$aso_cele['docu'].' - '.$aso_cele['numero'].' : '.$aso_cele['fecha'].' ==>'.$recep_ok;
          if($recep_ok==1){$pcount++;}
//           if($pcount>=$plimit){break;}
     }
}

if($autor==1)
{
	$sql_cele=' ';

     // VENTAS
     {
          $sql_cele.='select '.$selcol.' from vtas1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(recepfec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
     }

     // LIQ. COMPRAS
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from comp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(recepfec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and(docu="FP03" or docu="FP11") ';
          $sql_cele.='and enti not like "9999%" ';
     }
    
     if($empr0['empr_rete']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from retp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(recepfec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
     }
          
     if($empr0['empr_guia']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from guia1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(recepfec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
     }
     
//      echo '<br>=== '.$sql_cele;
		
     $pcount=0;
     $res_cele=msql_query($sql_cele,$link_data);
     if(msql_num_rows($res_cele)>0){echo '<br> REGISTROS OK ';}
     echo '<br> REG. AUTOR : '.msql_num_rows($res_cele);
     while($aso_cele=msql_fetch_assoc($res_cele))
     {
          $cele_ok=ws_autor($aso_cele['claveacc']);
          echo '<br>: AUTOR ===>'.$aso_cele['docu'].' - '.$aso_cele['numero'].' : '.$aso_cele['fecha'].' ==> '.$cele_ok;
          if($cele_ok==1){$pcount++;}
//           if($pcount>=$plimit){break;}
     }

     
     
}

if($email==1)
{
	$sql_cele=' ';
     
     // VENTAS
	{
          $sql_cele.='select '.$selcol.' from vtas1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(emailfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }
          
     // LIQ. COMPRAS
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from comp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(emailfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
          $sql_cele.='and(docu="FP03" or docu="FP11") ';
          $sql_cele.='and enti not like "9999%" ';
     }

     if($empr0['empr_rete']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from retp1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(emailfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
     }

          
     if($empr0['empr_guia']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol.' from guia1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(autorfec,"2000-01-01 00:00:00")>"2000-01-01 00:00:00" ';
          $sql_cele.='and ifnull(emailfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
//           $sql_cele.='and fecha<="'.$fecha2.'" ';
     }
          
     if($empr0['empr_clie']==1)
     {
          $sql_cele.='union ';
          $sql_cele.='select '.$selcol1.' from clie1 ';
          $sql_cele.='where ifnull(status,"") not in("O","X") ';
          $sql_cele.='and ifnull(emailfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
          $sql_cele.='and fecha>=curdate() -interval 2 day  ';
          $sql_cele.='and fecha>="'.$fecha1.'" ';
          $sql_cele.='and fecha<="'.$fecha2.'" ';
          $sql_cele.='and idate<=date_sub(now(),interval 5 minute) ';
     }

//      echo '=== '.$sql_cele;
     
     $pcount=0;
     $res_cele=msql_query($sql_cele,$link_data);
     if(msql_num_rows($res_cele)>0){echo '<br> REGISTROS OK ';}
     echo '<br> REG. EMAIL : '.msql_num_rows($res_cele);
     while($aso_cele=msql_fetch_assoc($res_cele))
     {
          $cele_ok=0;
          $cele_ok=mail_docu($aso_cele['docu'],$aso_cele['idnum1']);
          echo '<br>: EMAIL ===>'.$aso_cele['docu'].' - '.$aso_cele['numero'].' : '.$aso_cele['fecha'].' ==>'.$cele_ok;
          if($cele_ok==1){$pcount++;}
          if($pcount>=$plimit){break;}
     }

     
     
}

if($uplce==1)
{
	$sql_cele=' ';
     $sql_cele ='select * from clac0 ';
     $sql_cele.='where clac_tipo in ("01","04","07") ';
     $sql_cele.='and ifnull(clac_status,"")not in("X") ';
     $sql_cele.='and clac_fecha>="'.$fecha1.'" ';
     $sql_cele.='and clac_fecha<="'.$fecha2.'" ';
     $sql_cele.='and clac_enti!="'.$empr0['empr_ruc'].'" ';
     $sql_cele.='and ifnull(clac_upldfec,"2000-01-01 00:00:00")<="2000-01-01 00:00:00" ';
     $sql_cele.='order by clac_fecha ';
          
     $ruta_ce='../_cele/';
     $pcount=0;
     $res_cele=msql_query($sql_cele,$link_data);
     if(msql_num_rows($res_cele)>0){echo '<br> REGISTROS OK ';}
     echo '<br> REG. UPLCE : '.msql_num_rows($res_cele);
     while($aso_cele=msql_fetch_assoc($res_cele))
     {
          $cele_ok=0;
          $dir_ce=mkdir_ce($aso_cele['clac_codigo']);
          if(file_exists($ruta_ce.$dir_ce.$aso_cele['clac_codigo'].'.xml'))
          {
//                $cele_ok=upl_cexml($aso_cele['clac_codigo']);
               echo '<br>: UPLCE ===>'.$aso_cele['clac_codigo'].' | '.$aso_cele['clac_descri'].' | '.$aso_cele[''].' ==>'.$cele_ok;
               if($cele_ok==1){$pcount++;}
          }
//           if($pcount>=$plimit){break;}
     }

     
     
}

echo '<div>=============================================</div>';
echo '<div>End : '.date('Y-m-d H:i:s .v').'</div>';
echo '<div>============================================='.'</div>';



?>